import { useUserStore } from '@/stores/modules/user';
import Taro from '@tarojs/taro';
import { Message } from '@12333/utils';
import { useIsLogin, useUser } from './user';

/**
 * 需要登录
 */
export function useAccessLogin<T extends (...args: any[]) => any>(fn: T) {
  const isLogin = useIsLogin();
  const router = Taro.useRouter();

  const _fn = (...args2) => {
    if (!isLogin.value) {
      Message.confirm({ message: '请前往登录' }).then(() => {
        Taro.navigateTo({
          url: `${RouterPath.authorization}`,
        });
      });
      return;
    }
    fn?.(...args2);
  };
  return _fn as T;
}

/**
 * 是否完善个人信息（企业名称，手机号）
 */
// export function useAccessPersonalInfo<T extends (...args: any[]) => any>(fn: T) {
//   const { isCompletePersonalInfo } = useUser();

//   const _fn = useAccessLogin((...args2) => {
//     if (!isCompletePersonalInfo.value) {
//       Message.confirm({ message: '请完善您的个人信息', title: '完善信息' }).then(() => {
//         // Taro.navigateTo({
//         //   url: `${RouterPath.userInfo}`,
//         // });
//       });
//       return;
//     }
//     fn?.(...args2);
//   });
//   return _fn as T;
// }
